Bug 3622 - gridftp server improperly handles detach option in config file
: gridftp server improperly handles detach option in config file
Status: RESOLVED FIXED
: GridFTP
GridFTP
: 4.0.0
: PC All
: P3 normal
: 4.0.6
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-08-05 12:39 by
Modified: 2008-01-17 00:39 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-05 12:39:57
After detaching once, the server rereads the config file and does not ignore 
the detach option, which results in attempting to detach again.  

This can be worked around by using the -S commandline option instead of the 
config file option.
------- Comment #1 From 2007-08-15 06:28:12 -------
I have the same issue. If this isn't going to be fixed, the -detach option
should be removed from the program and documentation.

The gridftp documentation shows -S and -detach as equivalent, which they are
clearly not.

Please note that this 2 year old bug cost our project a considerable amount of
time.
------- Comment #2 From 2007-08-15 17:40:56 -------
This is fixed in CVS and will be part of the next release (4.0.6)  An updated
package is available at
http://www-unix.mcs.anl.gov/~mlink/globus_gridftp_server-2.6.tar.gz

Mike